Isi
Indeks 🔎︎

# Operator Not

Membuat ingkaran ekspresi dengan membalikkan nilai bitnya.

## Sintaksis:

    Hasil = Not Ekspresi

## Parameter:

Hasil: Variabel numerik apa saja yang mengandung hasil dari perbadindang.

Ekspresi1, Ekspresi2: Ekspresi apa saja yang hendak dibandingkan.

Ketika ekspresi Boolean dinegasikan, nilai True berubah menjadi False, dan nilai False berubah menjadi True.

Dalam negasi bitwise, masing-masing bit individual dibalik.

## Contoh:

    Sub ExampleNot
    Dim vA As Variant, vB As Variant, vC As Variant, vD As Variant
    Dim vOut As Variant
        vA = 10: vB = 8: vC = 6: vD = Null
        vOut = Not vA REM menghasilkan -11
        vOut = Not(vC > vD) REM menghasilkan -1
        vOut = Not(vB > vA) REM menghasilkan -1
        vOut = Not(vA > vB) REM menghasilkan 0
    End Sub